# AP4_MvhdAtom Class Reference

`#include <Ap4MvhdAtom.h>`

Inheritance diagram for AP4_MvhdAtom:

List of all members.

## Public Member Functions
| AP4_MvhdAtom (AP4_UI32 creation_time, AP4_UI32 modification_time, AP4_UI32 time_scale, AP4_UI32 duration, AP4_UI32 rate, AP4_UI16 volume)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
AP4_UI32 | GetDuration ()
void | SetDuration (AP4_UI32 duration)
AP4_Duration | GetDurationMs ()
AP4_UI32 | GetTimeScale ()
AP4_Result | SetTimeScale (AP4_UI32 time_scale)
## Static Public Member Functions
static AP4_MvhdAtom * | Create (AP4_Size size, AP4_ByteStream &stream)

## Detailed Description

Definition at line 41 of file Ap4MvhdAtom.h.

## Constructor & Destructor Documentation

AP4_MvhdAtom::AP4_MvhdAtom | ( | AP4_UI32 | creation_time,
|  | AP4_UI32 | modification_time,
|  | AP4_UI32 | time_scale,
|  | AP4_UI32 | duration,
|  | AP4_UI32 | rate,
|  | AP4_UI16 | volume |
| ) |  |  |

## Member Function Documentation

static AP4_MvhdAtom* AP4_MvhdAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream |
| ) |  |  | `[static]`

virtual AP4_Result AP4_MvhdAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_MvhdAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

AP4_UI32 AP4_MvhdAtom::GetDuration | ( |  | ) | `[inline]`

Definition at line 56 of file Ap4MvhdAtom.h.

void AP4_MvhdAtom::SetDuration | ( | AP4_UI32 | duration | ) | `[inline]`

Definition at line 57 of file Ap4MvhdAtom.h.

AP4_Duration AP4_MvhdAtom::GetDurationMs | ( |  | ) |

AP4_UI32 AP4_MvhdAtom::GetTimeScale | ( |  | ) | `[inline]`

Definition at line 59 of file Ap4MvhdAtom.h.

AP4_Result AP4_MvhdAtom::SetTimeScale | ( | AP4_UI32 | time_scale | ) | `[inline]`

Definition at line 60 of file Ap4MvhdAtom.h.

References AP4_SUCCESS.

The documentation for this class was generated from the following file:

- Ap4MvhdAtom.h